Skip to main content
`Ctrl`+`K`

# SVDStop

The stopping test to decide the termination of the outer loop of the singular value solver.

## Synopsis

    typedef enum { SVD_STOP_BASIC,
                   SVD_STOP_USER,
                   SVD_STOP_THRESHOLD } SVDStop;

## Values

- `SVD_STOP_BASIC` - default stopping test

- `SVD_STOP_USER` - user-provided stopping test

- `SVD_STOP_THRESHOLD` - threshold stopping test

## See Also

SVD: Singular Value Decomposition, `SVDSetStoppingTest()`, `SVDSetStoppingTestFunction()`

## Level

advanced

## Location

include/slepcsvd.h

## Examples

src/svd/tutorials/ex14.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages